Summary:        Mozilla Firefox Web browser.
Name:           firefox
Version:        0.8
Release:        0.fdr.7.1.90
Epoch:          0
URL:            http://www.mozilla.org/projects/firefox/
License:        MPL/LGPL
Group:          Applications/Internet
Source0:        http://ftp.mozilla.org/pub/firefox/releases/0.8/firefox-source-0.8.tar.bz2
Source1:        bookmarks.html
Source2:        mozconfig-firefox
Source3:        firefox.desktop
Source4:        firefox.png
Source6:        firefox.sh.in
Source7:        firefox-xremote-client
Source8:        firefox.1
Source9:        firefox-rebuild-databases.pl.in
Source10:       firefox.xpm
Patch1:         firefox-fedora-homepage.patch
Patch2:         mozilla-1.4-x86_64.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libpng-devel, libjpeg-devel
BuildRequires:  zlib-devel, libmng-devel
BuildRequires:  zip, gzip
BuildRequires:  ORBit-devel, libIDL-devel
BuildRequires:  XFree86-devel >= 0:4.2.1
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
Obsoletes:      phoenix, mozilla-firebird, MozillaFirebird
Provides:       mozilla-firebird = %{epoch}:%{version}, MozillaFirebird = %{epoch}:%{version}
Provides:       webclient

%description
Mozilla Firefox is an open-source web browser, designed for standards
compliance, performance and portability.

#---------------------------------------------------------------------

%prep
%setup -q -n mozilla
%patch1 -p1
%patch2 -p1
rm -f .mozconfig
cp %SOURCE2 .mozconfig
cp %SOURCE10 browser/app/default.xpm

#---------------------------------------------------------------------

%build
export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
export MOZ_PHOENIX=1
rm -rf $RPM_BUILD_ROOT
MAKE="gmake %{?_smp_mflags}" make -f client.mk build

#---------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

cd xpinstall/packager/
make MOZ_PKG_APPNAME=firefox MOZILLA_BIN="\$(DIST)/bin/firefox-bin"
cd -

mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}

cd dist
mv firefox-*-linux-gnu.tar.gz $RPM_BUILD_ROOT%{_libdir}
cd -

cd $RPM_BUILD_ROOT%{_libdir}
gunzip $RPM_BUILD_ROOT%{_libdir}/firefox-*-linux-gnu.tar.gz
tar -xf $RPM_BUILD_ROOT%{_libdir}/firefox-*-linux-gnu.tar
cd -

rm -f $RPM_BUILD_ROOT%{_libdir}/firefox-*-linux-gnu.tar

install -p -D %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/pixmaps/firefox.png
install -p -D %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor fedora --delete-original 		\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications   	\
  --add-category X-Fedora			\
  --add-category Application			\
  --add-category Network			\
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

cat %{SOURCE6} | sed -e 's,LIBDIR,%{_libdir},g' > \
  $RPM_BUILD_ROOT%{_bindir}/firefox

chmod 755 $RPM_BUILD_ROOT%{_bindir}/firefox

install -p -D %{SOURCE1} $RPM_BUILD_ROOT%{_libdir}/firefox/defaults/profile/US/bookmarks.html
install -p -D %{SOURCE1} $RPM_BUILD_ROOT%{_libdir}/firefox/defaults/profile/bookmarks.html
install -p -D %{SOURCE7} $RPM_BUILD_ROOT%{_libdir}/firefox/firefox-xremote-client
install -p -D %{SOURCE8} $RPM_BUILD_ROOT%{_mandir}/man1/firefox.1
cat %{SOURCE9} | sed -e 's/mozilla-MOZILLA_VERSION/%{name}/g' \
                      -e 's,LIBDIR,%{_libdir},g' > \
  $RPM_BUILD_ROOT/%{_libdir}/%{name}/firefox-rebuild-databases.pl
chmod 755 $RPM_BUILD_ROOT/%{_libdir}/%{name}/firefox-rebuild-databases.pl
#---------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/%{name}/firefox-rebuild-databases.pl ]; then
    %{_libdir}/%{name}/firefox-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
# was this an upgrade?
if [ $1 -gt 1 ]; then
  if [ -f %{_libdir}/%{name}/firefox-rebuild-databases.pl ]; then
      %{_libdir}/%{name}/firefox-rebuild-databases.pl
  fi
fi

%preun
# is a final removal?
if [ "$1" == "0" ]; then
  /bin/rm -rf %{_libdir}/%{name}/chrome/overlayinfo
  /bin/rm -rf %{_libdir}/%{name}/components
  /bin/rm -f %{_libdir}/%{name}/chrome/*.rdf
fi

%files
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/firefox
%{_mandir}/man1/*
%{_libdir}/firefox
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/firefox.png

#---------------------------------------------------------------------

%changelog
* Wed Feb 25 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.7
- readded the new firefox icons

* Sat Feb 21 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.6
- removed new firefox icons

* Wed Feb 18 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.5
- nothing

* Thu Feb 12 2004 Gene Czarcinski <czar@acm.org>
- update for x86_64 ... usr mozilla-1.6 patches
- change "firefox-i*" to "firefox-*" in above stuff

* Tue Feb 10 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.4
- another icon changed

* Tue Feb 10 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.3
- startup script modified

* Mon Feb 09 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.2
- new firefox icon
- more s/firebird/firefox/

* Mon Feb 09 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.1
- new version: 0.8
- new name: firefox

* Sun Oct 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.7-0.fdr.2
- s/0.6.1/0.7/
- changed user-app-dir back to .phoenix as .mozilla-firebird
  is not working as expected
- manpage now also available as MozillaFirebird.1

* Thu Oct 16 2003 Adrian Reber <adrian@lisas.de> - 0:0.7-0.fdr.1
- updated to 0.7
- provides webclient
- run regxpcom and regchrome after installation and removal
- added a man page from the debian package
- changed user-app-dir from .phoenix to .mozilla-firebird

* Tue Jul 29 2003 Adrian Reber <adrian@lisas.de> - 0:0.6.1-0.fdr.2
- now with mozilla-default-plugin-less-annoying.patch; see bug #586

* Tue Jul 29 2003 Adrian Reber <adrian@lisas.de> - 0:0.6.1-0.fdr.1
- updated to 0.6.1
- changed buildrequires for XFree86-devel from 0:4.3.0 to 0:4.2.1 
  it should now also build on RH80

* Sun Jul 13 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.5.rh90
- enabled the type ahead extension: bug #484

* Sun Jul 13 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.4.rh90
- renamed it again back to MozillaFirbird
- added libmng-devel to BuildRequires
- startup homepage is now www.fedora.us
- improved the startup script to use the unix remote protocol 
  to open a new window

* Thu May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.3.rh90
- new icon from http://iconpacks.mozdev.org/phoenix/iconshots/flame48true.png
- now using gtk2 as toolkit
- renamed again back to mozilla-firebird (I like it better)
- Provides: MozillaFirebird for compatibility with previous releases
- changed default bookmarks.html to contain links to www.fedora.us

* Thu May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.2.rh90
- renamed package to MozillaFirebird and all files with the old name
- enabled mng, mathml, xinerama support
- now honouring RPM_OPT_FLAGS

* Thu May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.1.rh90
- updated to 0.6

* Thu May 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.1.cvs20030501.rh90
- Updated to CVS.
- Renamed to mozilla-firebird.

* Sat Apr 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.3.cvs20030409.rh90
- Updated to CVS.
- Removed hard-coded library path.

* Sat Apr 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.3.cvs20030402.rh90
- Changed Prereq to Requires.
- Changed BuildRequires to gtk+-devel (instead of file).
- Recompressed source with bzip2.
- Removed post.

* Tue Apr 02 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.2.cvs20030402.rh90
- Added desktop-file-utils to BuildRequires.
- Changed category to X-Fedora-Extra.
- Updated to CVS.

* Sun Mar 30 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.2.cvs20030328.rh90
- Added Epoch:0.
- Added libgtk-1.2.so.0 to the BuildRequires

* Fri Mar 28 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030328.rh90
- Updated to latest CVS.
- Moved phoenix startup script into its own file

* Wed Mar 26 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030326.rh90
- Updated to latest CVS.
- Changed release to 9 vs 8.1.
- Added cvs script.
- added encoding to desktop file.

* Sun Mar 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030323.rh81
- Updated to latest CVS.
- added release specification XFree86-devel Build Requirement.
- changed chmod to %attr

* Fri Mar 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030317.rh81
- Fixed naming scheme.
- Fixed .desktop file.

* Mon Mar 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030317.1
- Updated to CVS.

* Fri Mar 14 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030313.2
- General Tweaking.

* Thu Mar 13 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030313.1
- Updated CVS.
- Modified mozconfig.

* Sun Mar 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030309.1
- Initial RPM release.
